/* string.c :  entry=string */
/* compiled by EusLisp 9.23() for Linux created on ip-172-31-0-216(Sat Mar 11 06:06:19 PST 2017) */
#include "eus.h"
#include "string.h"
#pragma init (register_string)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___string();
extern pointer build_quote_vector();
static int register_string()
  { add_module_initializer("___string", ___string);}

static pointer F51181read_sharp_backslash();
static pointer F51185true_string();
static pointer F51188string();
static pointer F51191make_string();
static pointer F51194string_left_trim();
static pointer F51197string_right_trim();
static pointer F51200string_trim();
static pointer F51203nstring_downcase();
static pointer F51206nstring_upcase();
static pointer F51209string_upcase();
static pointer F51212string_downcase();
static pointer F51215string_();
static pointer F51218string_equal();
static pointer F51221substringp();
static pointer F51231explode_directory_names();
static pointer F51235pathnamep();
static pointer F51238pathname();
static pointer F51241namestring();
static pointer F51244pathname_directory();
static pointer F51247pathname_name();
static pointer F51250pathname_type();
static pointer F51253directory_namestring();
static pointer F51256make_pathname();
static pointer F51259parse_namestring();
static pointer F51263null_string_p();
static pointer F51266merge_pathnames();
static pointer F51269concatenate_pathnames();
static pointer F51272truename();
static pointer F51291url_pathname();
static pointer F51293parse_url();
static pointer F51295escape_url();
static pointer F51297escaped_url_string_from_namestring();
static pointer F51299unescape_url();
static pointer F51301unescaped_url_string_from_namestring();
static pointer F51303digits_string();
static pointer F51305timed_file_name();
static pointer F51307dated_file_name();
static pointer F51309sequential_file_name();

/*read_sharp_backslash*/
static pointer F51181read_sharp_backslash(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)READCH(ctx,1,local+3); /*read-char*/
	local[0] = w;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)ALPHAP(ctx,1,local+3); /*alpha-char-p*/
	if (w==NIL) goto CON51403;
	local[3]= local[0];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)UNREADCH(ctx,2,local+3); /*unread-char*/
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,1,local+3); /*read*/
	local[1] = w;
	local[3]= *(ovafptr(local[1],fqv[0]));
	local[4]= fqv[1];
	local[5]= fqv[2];
	local[6]= (pointer)get_sym_func(fqv[3]);
	ctx->vsp=local+7;
	w=(*ftab[0])(ctx,4,local+3,&ftab[0],fqv[4]); /*assoc*/
	local[2] = w;
	if (local[2]==NIL) goto IF51442;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	goto IF51443;
IF51442:
	local[3]= *(ovafptr(local[1],fqv[0]));
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	if (makeint(1)!=local[3]) goto IF51455;
	local[3]= local[0];
	goto IF51456;
IF51455:
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
IF51456:
IF51443:
	goto CON51401;
CON51403:
	local[3]= local[0];
	goto CON51401;
CON51466:
	local[3]= NIL;
CON51401:
	w = local[3];
	local[0]= w;
BLK51365:
	ctx->vsp=local; return(local[0]);}

/*true-string*/
static pointer F51185true_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!issymbol(w)) goto IF51486;
	local[0]= argv[0]->c.obj.iv[4];
	goto IF51487;
IF51486:
	local[0]= argv[0];
IF51487:
	w = local[0];
	local[0]= w;
BLK51476:
	ctx->vsp=local; return(local[0]);}

/*string*/
static pointer F51188string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!isstring(w)) goto CON51512;
	local[0]= argv[0];
	goto CON51510;
CON51512:
	w = argv[0];
	if (!issymbol(w)) goto CON51518;
	local[0]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+1;
	w=(pointer)COPYSEQ(ctx,1,local+0); /*copy-seq*/
	local[0]= w;
	goto CON51510;
CON51518:
	w = argv[0];
	if (!isnum(w)) goto CON51530;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[1])(ctx,1,local+0,&ftab[1],fqv[6]); /*princ-to-string*/
	local[0]= w;
	goto CON51510;
CON51530:
	local[0]= fqv[7];
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,2,local+0); /*error*/
	local[0]= w;
	goto CON51510;
CON51539:
	local[0]= NIL;
CON51510:
	w = local[0];
	local[0]= w;
BLK51500:
	ctx->vsp=local; return(local[0]);}

/*make-string*/
static pointer F51191make_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= loadglobal(fqv[8]);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,2,local+0); /*instantiate*/
	local[0]= w;
BLK51548:
	ctx->vsp=local; return(local[0]);}

/*string-left-trim*/
static pointer F51194string_left_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint(0);
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)F51185true_string(ctx,1,local+1); /*true-string*/
	argv[1] = w;
WHL51608:
	local[1]= argv[1];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[1]->c.str.chars[i]);}
	local[1]= w;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(*ftab[2])(ctx,2,local+1,&ftab[2],fqv[9]); /*position*/
	if (w==NIL) goto WHX51609;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51608;
WHX51609:
	local[1]= NIL;
BLK51610:
	local[1]= argv[1];
	local[2]= local[0];
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SUBSEQ(ctx,3,local+1); /*subseq*/
	local[0]= w;
BLK51565:
	ctx->vsp=local; return(local[0]);}

/*string-right-trim*/
static pointer F51197string_right_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)F51185true_string(ctx,1,local+1); /*true-string*/
	argv[1] = w;
WHL51685:
	local[1]= argv[1];
	{ register eusinteger_t i=intval((pointer)((eusinteger_t)(local[0])-4));
	  w=makeint(local[1]->c.str.chars[i]);}
	local[1]= w;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(*ftab[2])(ctx,2,local+1,&ftab[2],fqv[9]); /*position*/
	if (w==NIL) goto WHX51686;
	local[0] = (pointer)((eusinteger_t)(local[0])-4);
	goto WHL51685;
WHX51686:
	local[1]= NIL;
BLK51687:
	local[1]= argv[1];
	local[2]= makeint(0);
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)SUBSEQ(ctx,3,local+1); /*subseq*/
	local[0]= w;
BLK51645:
	ctx->vsp=local; return(local[0]);}

/*string-trim*/
static pointer F51200string_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= argv[0];
	local[2]= argv[1];
	ctx->vsp=local+3;
	w=(pointer)F51197string_right_trim(ctx,2,local+1); /*string-right-trim*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)F51194string_left_trim(ctx,2,local+0); /*string-left-trim*/
	local[0]= w;
BLK51721:
	ctx->vsp=local; return(local[0]);}

/*nstring-downcase*/
static pointer F51203nstring_downcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[10], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51765;
	local[0] = makeint(0);
KEY51765:
	if (n & (1<<1)) goto KEY51769;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)LENGTH(ctx,1,local+2); /*length*/
	local[1] = w;
KEY51769:
	w = argv[0];
	if (isstring(w)) goto IF51780;
	local[2]= fqv[11];
	ctx->vsp=local+3;
	w=(pointer)SIGERROR(ctx,1,local+2); /*error*/
	local[2]= w;
	goto IF51781;
IF51780:
	local[2]= NIL;
IF51781:
WHL51789:
	local[2]= local[0];
	w = local[1];
	if ((eusinteger_t)local[2] >= (eusinteger_t)w) goto WHX51790;
	local[2]= argv[0];
	local[3]= local[0];
	local[4]= argv[0];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[4]->c.str.chars[i]);}
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)CHDOWNCASE(ctx,1,local+4); /*char-downcase*/
	{ register eusinteger_t i; register pointer v;
	  i=intval(local[3]); v=local[2];
	  v->c.str.chars[i]=intval(w);}
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51789;
WHX51790:
	local[2]= NIL;
BLK51791:
	w = argv[0];
	local[0]= w;
BLK51742:
	ctx->vsp=local; return(local[0]);}

/*nstring-upcase*/
static pointer F51206nstring_upcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[12], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51844;
	local[0] = makeint(0);
KEY51844:
	if (n & (1<<1)) goto KEY51848;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)LENGTH(ctx,1,local+2); /*length*/
	local[1] = w;
KEY51848:
	w = argv[0];
	if (isstring(w)) goto IF51859;
	local[2]= fqv[13];
	ctx->vsp=local+3;
	w=(pointer)SIGERROR(ctx,1,local+2); /*error*/
	local[2]= w;
	goto IF51860;
IF51859:
	local[2]= NIL;
IF51860:
WHL51868:
	local[2]= local[0];
	w = local[1];
	if ((eusinteger_t)local[2] >= (eusinteger_t)w) goto WHX51869;
	local[2]= argv[0];
	local[3]= local[0];
	local[4]= argv[0];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[4]->c.str.chars[i]);}
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)CHUPCASE(ctx,1,local+4); /*char-upcase*/
	{ register eusinteger_t i; register pointer v;
	  i=intval(local[3]); v=local[2];
	  v->c.str.chars[i]=intval(w);}
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51868;
WHX51869:
	local[2]= NIL;
BLK51870:
	w = argv[0];
	local[0]= w;
BLK51825:
	ctx->vsp=local; return(local[0]);}

/*string-upcase*/
static pointer F51209string_upcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[14], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51914;
	local[0] = makeint(0);
KEY51914:
	if (n & (1<<1)) goto KEY51919;
	local[1] = NIL;
KEY51919:
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F51185true_string(ctx,1,local+2); /*true-string*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)COPYSEQ(ctx,1,local+2); /*copy-seq*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[15];
	local[5]= local[0];
	local[6]= fqv[16];
	if (local[1]==NIL) goto IF51950;
	local[7]= local[1];
	goto IF51951;
IF51950:
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
IF51951:
	ctx->vsp=local+8;
	w=(pointer)F51206nstring_upcase(ctx,5,local+3); /*nstring-upcase*/
	local[0]= w;
BLK51904:
	ctx->vsp=local; return(local[0]);}

/*string-downcase*/
static pointer F51212string_downcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[17], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51974;
	local[0] = makeint(0);
KEY51974:
	if (n & (1<<1)) goto KEY51979;
	local[1] = NIL;
KEY51979:
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F51185true_string(ctx,1,local+2); /*true-string*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)COPYSEQ(ctx,1,local+2); /*copy-seq*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[15];
	local[5]= local[0];
	local[6]= fqv[16];
	if (local[1]==NIL) goto IF52010;
	local[7]= local[1];
	goto IF52011;
IF52010:
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
IF52011:
	ctx->vsp=local+8;
	w=(pointer)F51203nstring_downcase(ctx,5,local+3); /*nstring-downcase*/
	local[0]= w;
BLK51964:
	ctx->vsp=local; return(local[0]);}

/*string=*/
static pointer F51215string_(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[18], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY52038;
	local[0] = makeint(0);
KEY52038:
	if (n & (1<<1)) goto KEY52043;
	local[1] = makeint(100000000);
KEY52043:
	if (n & (1<<2)) goto KEY52048;
	local[2] = makeint(0);
KEY52048:
	if (n & (1<<3)) goto KEY52053;
	local[3] = makeint(100000000);
KEY52053:
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[2];
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(*ftab[3])(ctx,6,local+4,&ftab[3],fqv[19]); /*stringeq*/
	local[0]= w;
BLK52024:
	ctx->vsp=local; return(local[0]);}

/*string-equal*/
static pointer F51218string_equal(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[20], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY52087;
	local[0] = makeint(0);
KEY52087:
	if (n & (1<<1)) goto KEY52092;
	local[1] = makeint(100000000);
KEY52092:
	if (n & (1<<2)) goto KEY52097;
	local[2] = makeint(0);
KEY52097:
	if (n & (1<<3)) goto KEY52102;
	local[3] = makeint(100000000);
KEY52102:
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[2];
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(*ftab[4])(ctx,6,local+4,&ftab[4],fqv[21]); /*stringequal*/
	local[0]= w;
BLK52073:
	ctx->vsp=local; return(local[0]);}

/*substringp*/
static pointer F51221substringp(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
#if sun4 || vax || mips || i386 || alpha || x86_64 || ARM
	w=(pointer)((eusinteger_t)w-2);
#endif
	local[0]= (pointer)((eusinteger_t)local[0] - (eusinteger_t)w);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
	local[1]= w;
	local[2]= makeint(0);
TAG52171:
	local[3]= local[2];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)GREATERP(ctx,2,local+3); /*>*/
	if (w==NIL) goto IF52176;
	w = NIL;
	ctx->vsp=local+3;
	local[0]=w;
	goto BLK52136;
	goto IF52177;
IF52176:
	local[3]= NIL;
IF52177:
	local[3]= argv[0];
	local[4]= argv[1];
	local[5]= fqv[22];
	local[6]= local[2];
	local[7]= fqv[23];
	local[8]= local[2];
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)PLUS(ctx,2,local+8); /*+*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)F51218string_equal(ctx,6,local+3); /*string-equal*/
	if (w==NIL) goto IF52192;
	w = T;
	ctx->vsp=local+3;
	local[0]=w;
	goto BLK52122;
	goto IF52193;
IF52192:
	local[3]= NIL;
IF52193:
	local[3]= (pointer)((eusinteger_t)(local[2])+4);
	local[2] = local[3];
	w = NIL;
	ctx->vsp=local+3;
	goto TAG52171;
	w = NIL;
	local[0]= w;
BLK52136:
	w = local[0];
	local[0]= w;
BLK52122:
	ctx->vsp=local; return(local[0]);}

/*:get*/
static pointer M52257string_get(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0];
	local[1]= argv[2];
	local[2]= argv[3];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
BLK52258:
	ctx->vsp=local; return(local[0]);}

/*:set*/
static pointer M52280string_set(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=5) maerror();
	w = argv[2];
	if (!isnum(w)) goto IF52299;
	local[0]= argv[2];
	local[1]= argv[0];
	local[2]= argv[3];
	local[3]= argv[4];
	ctx->vsp=local+4;
	w=(pointer)POKE(ctx,4,local+0); /*system:poke*/
	local[0]= w;
	goto IF52300;
IF52299:
	local[0]= argv[4];
	local[1]= fqv[24];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,2,local+0,&ftab[0],fqv[4]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.cdr;
	local[1]= NIL;
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(*ftab[5])(ctx,1,local+2,&ftab[5],fqv[25]); /*flatten*/
	local[2]= w;
WHL52350:
	if (local[2]==NIL) goto WHX52351;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	w = local[1];
	if (!isnum(w)) goto CON52401;
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)ROUND(ctx,1,local+3); /*round*/
	local[3]= w;
	local[4]= argv[0];
	local[5]= argv[3];
	local[6]= argv[4];
	ctx->vsp=local+7;
	w=(pointer)POKE(ctx,4,local+3); /*system:poke*/
	local[3]= argv[3];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)PLUS(ctx,2,local+3); /*+*/
	argv[3] = w;
	local[3]= argv[3];
	goto CON52399;
CON52401:
	local[3]= makeint(0);
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
WHL52456:
	local[5]= local[3];
	w = local[4];
	if ((eusinteger_t)local[5] >= (eusinteger_t)w) goto WHX52457;
	local[5]= local[1];
	local[6]= local[3];
	ctx->vsp=local+7;
	w=(pointer)ELT(ctx,2,local+5); /*elt*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)ROUND(ctx,1,local+5); /*round*/
	local[5]= w;
	local[6]= argv[0];
	local[7]= argv[3];
	local[8]= argv[4];
	ctx->vsp=local+9;
	w=(pointer)POKE(ctx,4,local+5); /*system:poke*/
	local[5]= argv[3];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)PLUS(ctx,2,local+5); /*+*/
	argv[3] = w;
	local[3] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL52456;
WHX52457:
	local[5]= NIL;
BLK52458:
	w = NIL;
	local[3]= w;
	goto CON52399;
CON52427:
	local[3]= NIL;
CON52399:
	goto WHL52350;
WHX52351:
	local[3]= NIL;
BLK52352:
	w = NIL;
	local[0]= w;
IF52300:
	w = local[0];
	local[0]= w;
BLK52281:
	ctx->vsp=local; return(local[0]);}

/*explode-directory-names*/
static pointer F51231explode_directory_names(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= makeint(0);
	local[3]= NIL;
WHL52546:
	local[4]= makeint(47);
	local[5]= argv[0];
	local[6]= fqv[15];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,4,local+4,&ftab[2],fqv[9]); /*position*/
	local[3] = w;
	if (local[3]==NIL) goto WHX52547;
	local[4]= argv[0];
	local[5]= local[2];
	local[6]= local[3];
	ctx->vsp=local+7;
	w=(pointer)SUBSEQ(ctx,3,local+4); /*subseq*/
	local[0] = w;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
	w = makeint(0);
	if ((eusinteger_t)local[4] <= (eusinteger_t)w) goto IF52575;
	local[4]= local[0];
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	local[4]= local[1];
	goto IF52576;
IF52575:
	local[4]= NIL;
IF52576:
	local[2] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL52546;
WHX52547:
	local[4]= NIL;
BLK52548:
	local[4]= argv[0];
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,2,local+4); /*subseq*/
	local[0] = w;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
	w = makeint(0);
	if ((eusinteger_t)local[4] <= (eusinteger_t)w) goto IF52615;
	local[4]= local[0];
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	local[4]= local[1];
	goto IF52616;
IF52615:
	local[4]= NIL;
IF52616:
	w = local[1];
	local[0]= w;
BLK52518:
	ctx->vsp=local; return(local[0]);}

/*:parse-namestring*/
static pointer M52656pathname_parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeint(0);
	local[1]= makeint(0);
	local[2]= makeint(0);
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	argv[0]->c.obj.iv[2] = NIL;
	local[7]= argv[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(*ftab[6])(ctx,1,local+7,&ftab[6],fqv[26]); /*zerop*/
	if (w==NIL) goto IF52698;
	argv[0]->c.obj.iv[0] = fqv[27];
	argv[0]->c.obj.iv[1] = fqv[28];
	w = argv[0];
	ctx->vsp=local+7;
	local[0]=w;
	goto BLK52657;
	goto IF52699;
IF52698:
	local[7]= NIL;
IF52699:
	local[7]= makeint(58);
	local[8]= argv[2];
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,2,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto IF52726;
	local[0] = local[6];
	local[7]= argv[2];
	local[8]= makeint(0);
	local[9]= local[0];
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	argv[0]->c.obj.iv[0] = w;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	local[7]= local[0];
	goto IF52727;
IF52726:
	local[7]= NIL;
IF52727:
	local[1] = local[0];
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	local[8]= makeint(47);
	ctx->vsp=local+9;
	w=(pointer)EQ(ctx,2,local+7); /*eql*/
	if (w==NIL) goto CON52770;
	local[7]= fqv[29];
	w = argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	argv[0]->c.obj.iv[2] = cons(ctx,local[7],w);
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	local[7]= local[1];
	goto CON52768;
CON52770:
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	local[8]= makeint(126);
	ctx->vsp=local+9;
	w=(pointer)EQ(ctx,2,local+7); /*eql*/
	if (w==NIL) goto CON52803;
	local[7]= fqv[30];
	ctx->vsp=local+8;
	w=(pointer)GETENV(ctx,1,local+7); /*unix:getenv*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)F51231explode_directory_names(ctx,1,local+7); /*explode-directory-names*/
	argv[0]->c.obj.iv[2] = w;
	local[7]= argv[0]->c.obj.iv[2];
	local[8]= fqv[29];
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)NCONC(ctx,2,local+7); /*nconc*/
	argv[0]->c.obj.iv[2] = w;
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	local[7]= local[1];
	goto CON52768;
CON52803:
	local[7]= NIL;
CON52768:
WHL52848:
	local[7]= makeint(47);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto WHX52849;
	local[7]= argv[2];
	local[8]= local[1];
	local[9]= local[6];
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	local[3] = w;
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	w = makeint(0);
	if ((eusinteger_t)local[7] <= (eusinteger_t)w) goto IF52877;
	local[7]= local[3];
	w = argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	argv[0]->c.obj.iv[2] = cons(ctx,local[7],w);
	local[7]= argv[0]->c.obj.iv[2];
	goto IF52878;
IF52877:
	local[7]= NIL;
IF52878:
	local[1] = (pointer)((eusinteger_t)(local[6])+4);
	local[2] = local[1];
	goto WHL52848;
WHX52849:
	local[7]= NIL;
BLK52850:
	local[7]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	w=(pointer)NREVERSE(ctx,1,local+7); /*nreverse*/
	argv[0]->c.obj.iv[2] = w;
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	local[4] = w;
	local[7]= local[4];
	local[8]= fqv[31];
	ctx->vsp=local+9;
	w=(pointer)EQUAL(ctx,2,local+7); /*equal*/
	if (w==NIL) goto CON52931;
	argv[0]->c.obj.iv[3] = local[4];
	argv[0]->c.obj.iv[4] = NIL;
	local[7]= argv[0]->c.obj.iv[4];
	goto CON52929;
CON52931:
	local[7]= makeint(46);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[2] = w;
	if (local[2]!=NIL) goto CON52964;
	local[7]= argv[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)GREATERP(ctx,2,local+7); /*>*/
	if (w==NIL) goto IF52970;
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	argv[0]->c.obj.iv[3] = w;
	local[7]= argv[0]->c.obj.iv[3];
	goto IF52971;
IF52970:
	local[7]= NIL;
IF52971:
	goto CON52962;
CON52964:
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
WHL53001:
	local[7]= makeint(46);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[2];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto WHX53002;
	local[2] = (pointer)((eusinteger_t)(local[6])+4);
	goto WHL53001;
WHX53002:
	local[7]= NIL;
BLK53003:
	local[7]= argv[2];
	local[8]= local[1];
	local[9]= (pointer)((eusinteger_t)(local[2])-4);
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	argv[0]->c.obj.iv[3] = w;
	local[7]= argv[2];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	argv[0]->c.obj.iv[4] = w;
	local[7]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+8;
	w=(pointer)F51263null_string_p(ctx,1,local+7); /*null-string-p*/
	if (w==NIL) goto IF53049;
	argv[0]->c.obj.iv[3] = NIL;
	local[7]= argv[0]->c.obj.iv[3];
	goto IF53050;
IF53049:
	local[7]= NIL;
IF53050:
	goto CON52962;
CON52987:
	local[7]= NIL;
CON52962:
	goto CON52929;
CON52946:
	local[7]= NIL;
CON52929:
	w = argv[0];
	local[0]= w;
BLK52657:
	ctx->vsp=local; return(local[0]);}

/*:directory-string*/
static pointer M53067pathname_directory_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= argv[0]->c.obj.iv[2];
	w=argv[0]->c.obj.iv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	local[3]= fqv[29];
	ctx->vsp=local+4;
	w=(pointer)EQ(ctx,2,local+2); /*eql*/
	if (w==NIL) goto IF53094;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[2]= fqv[32];
	w = local[0];
	ctx->vsp=local+3;
	local[0] = cons(ctx,local[2],w);
	local[2]= local[0];
	goto IF53095;
IF53094:
	local[2]= NIL;
IF53095:
	local[2]= NIL;
	local[3]= local[1];
WHL53175:
	if (local[3]==NIL) goto WHX53176;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= local[2];
	w = local[0];
	ctx->vsp=local+5;
	local[0] = cons(ctx,local[4],w);
	local[4]= fqv[33];
	w = local[0];
	ctx->vsp=local+5;
	local[0] = cons(ctx,local[4],w);
	goto WHL53175;
WHX53176:
	local[4]= NIL;
BLK53177:
	w = NIL;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)NREVERSE(ctx,1,local+2); /*nreverse*/
	local[0] = w;
	local[2]= (pointer)get_sym_func(fqv[34]);
	local[3]= loadglobal(fqv[8]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)APPLY(ctx,3,local+2); /*apply*/
	local[0]= w;
BLK53068:
	ctx->vsp=local; return(local[0]);}

/*:namestring*/
static pointer M53267pathname_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[35];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	if (argv[0]->c.obj.iv[4]==NIL) goto IF53295;
	local[1]= loadglobal(fqv[8]);
	local[2]= fqv[36];
	local[3]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+4;
	w=(pointer)CONCATENATE(ctx,3,local+1); /*concatenate*/
	local[1]= w;
	goto IF53296;
IF53295:
	local[1]= NIL;
IF53296:
	if (argv[0]->c.obj.iv[3]==NIL) goto IF53308;
	local[2]= loadglobal(fqv[8]);
	local[3]= argv[0]->c.obj.iv[0];
	local[4]= argv[0]->c.obj.iv[1];
	local[5]= local[0];
	local[6]= argv[0]->c.obj.iv[3];
	local[7]= local[1];
	ctx->vsp=local+8;
	w=(pointer)CONCATENATE(ctx,6,local+2); /*concatenate*/
	local[2]= w;
	goto IF53309;
IF53308:
	local[2]= loadglobal(fqv[8]);
	local[3]= argv[0]->c.obj.iv[0];
	local[4]= argv[0]->c.obj.iv[1];
	local[5]= local[0];
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(pointer)CONCATENATE(ctx,5,local+2); /*concatenate*/
	local[2]= w;
IF53309:
	w = local[2];
	local[0]= w;
BLK53268:
	ctx->vsp=local; return(local[0]);}

/*:host*/
static pointer M53331pathname_host(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53335;}
	local[0]= NIL;
ENT53335:
ENT53334:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53351;
	argv[0]->c.obj.iv[0] = local[0];
	local[1]= argv[0]->c.obj.iv[0];
	goto IF53352;
IF53351:
	local[1]= argv[0]->c.obj.iv[0];
IF53352:
	w = local[1];
	local[0]= w;
BLK53332:
	ctx->vsp=local; return(local[0]);}

/*:device*/
static pointer M53365pathname_device(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53369;}
	local[0]= NIL;
ENT53369:
ENT53368:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53385;
	argv[0]->c.obj.iv[1] = local[0];
	local[1]= argv[0]->c.obj.iv[1];
	goto IF53386;
IF53385:
	local[1]= argv[0]->c.obj.iv[1];
IF53386:
	w = local[1];
	local[0]= w;
BLK53366:
	ctx->vsp=local; return(local[0]);}

/*:directory*/
static pointer M53399pathname_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53403;}
	local[0]= NIL;
ENT53403:
ENT53402:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53419;
	argv[0]->c.obj.iv[2] = local[0];
	local[1]= argv[0]->c.obj.iv[2];
	goto IF53420;
IF53419:
	local[1]= argv[0]->c.obj.iv[2];
IF53420:
	w = local[1];
	local[0]= w;
BLK53400:
	ctx->vsp=local; return(local[0]);}

/*:name*/
static pointer M53433pathname_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53437;}
	local[0]= NIL;
ENT53437:
ENT53436:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53453;
	argv[0]->c.obj.iv[3] = local[0];
	local[1]= argv[0]->c.obj.iv[3];
	goto IF53454;
IF53453:
	local[1]= argv[0]->c.obj.iv[3];
IF53454:
	w = local[1];
	local[0]= w;
BLK53434:
	ctx->vsp=local; return(local[0]);}

/*:type*/
static pointer M53467pathname_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53471;}
	local[0]= NIL;
ENT53471:
ENT53470:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53487;
	argv[0]->c.obj.iv[4] = local[0];
	local[1]= argv[0]->c.obj.iv[4];
	goto IF53488;
IF53487:
	local[1]= argv[0]->c.obj.iv[4];
IF53488:
	w = local[1];
	local[0]= w;
BLK53468:
	ctx->vsp=local; return(local[0]);}

/*:set-type*/
static pointer M53501pathname_set_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	argv[0]->c.obj.iv[4] = argv[2];
	w = argv[0]->c.obj.iv[4];
	local[0]= w;
BLK53502:
	ctx->vsp=local; return(local[0]);}

/*:version*/
static pointer M53524pathname_version(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53528;}
	local[0]= NIL;
ENT53528:
ENT53527:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53544;
	argv[0]->c.obj.iv[5] = local[0];
	local[1]= argv[0]->c.obj.iv[5];
	goto IF53545;
IF53544:
	local[1]= argv[0]->c.obj.iv[5];
IF53545:
	w = local[1];
	local[0]= w;
BLK53525:
	ctx->vsp=local; return(local[0]);}

/*:merge*/
static pointer M53558pathname_merge(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	if (argv[0]->c.obj.iv[0]!=NIL) goto IF53573;
	argv[0]->c.obj.iv[0] = *(ovafptr(argv[2],fqv[37]));
	local[0]= argv[0]->c.obj.iv[0];
	goto IF53574;
IF53573:
	local[0]= NIL;
IF53574:
	if (argv[0]->c.obj.iv[1]!=NIL) goto IF53587;
	argv[0]->c.obj.iv[1] = *(ovafptr(argv[2],fqv[38]));
	local[0]= argv[0]->c.obj.iv[1];
	goto IF53588;
IF53587:
	local[0]= NIL;
IF53588:
	if (argv[0]->c.obj.iv[2]!=NIL) goto IF53601;
	argv[0]->c.obj.iv[2] = *(ovafptr(argv[2],fqv[39]));
	local[0]= argv[0]->c.obj.iv[2];
	goto IF53602;
IF53601:
	local[0]= NIL;
IF53602:
	if (argv[0]->c.obj.iv[3]!=NIL) goto IF53615;
	argv[0]->c.obj.iv[3] = *(ovafptr(argv[2],fqv[40]));
	local[0]= argv[0]->c.obj.iv[3];
	goto IF53616;
IF53615:
	local[0]= NIL;
IF53616:
	if (argv[0]->c.obj.iv[4]!=NIL) goto IF53629;
	argv[0]->c.obj.iv[4] = *(ovafptr(argv[2],fqv[41]));
	local[0]= argv[0]->c.obj.iv[4];
	goto IF53630;
IF53629:
	local[0]= NIL;
IF53630:
	if (argv[0]->c.obj.iv[5]!=NIL) goto IF53643;
	argv[0]->c.obj.iv[5] = *(ovafptr(argv[2],fqv[42]));
	local[0]= argv[0]->c.obj.iv[5];
	goto IF53644;
IF53643:
	local[0]= NIL;
IF53644:
	w = argv[0];
	local[0]= w;
BLK53559:
	ctx->vsp=local; return(local[0]);}

/*:add-directory*/
static pointer M53660pathname_add_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[2];
	local[1]= (pointer)get_sym_func(fqv[8]);
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)MAPCAR(ctx,2,local+1); /*mapcar*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)NCONC(ctx,2,local+0); /*nconc*/
	argv[0]->c.obj.iv[2] = w;
	w = argv[0]->c.obj.iv[2];
	local[0]= w;
BLK53661:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M53690pathname_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53694;}
	local[0]= T;
ENT53694:
ENT53693:
	if (n>3) maerror();
	local[1]= local[0];
	local[2]= fqv[43];
	local[3]= argv[0];
	local[4]= fqv[44];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)XFORMAT(ctx,3,local+1); /*format*/
	local[0]= w;
BLK53691:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M53719pathname_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[45], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY53736;
	local[0] = NIL;
KEY53736:
	if (n & (1<<1)) goto KEY53741;
	local[1] = NIL;
KEY53741:
	if (n & (1<<2)) goto KEY53746;
	local[2] = NIL;
KEY53746:
	if (n & (1<<3)) goto KEY53751;
	local[3] = NIL;
KEY53751:
	if (n & (1<<4)) goto KEY53756;
	local[4] = NIL;
KEY53756:
	if (n & (1<<5)) goto KEY53761;
	local[5] = NIL;
KEY53761:
	if (local[0]==NIL) goto IF53770;
	argv[0]->c.obj.iv[0] = local[0];
	local[6]= argv[0]->c.obj.iv[0];
	goto IF53771;
IF53770:
	local[6]= NIL;
IF53771:
	if (local[1]==NIL) goto IF53783;
	argv[0]->c.obj.iv[1] = local[1];
	local[6]= argv[0]->c.obj.iv[1];
	goto IF53784;
IF53783:
	local[6]= NIL;
IF53784:
	if (local[2]==NIL) goto IF53796;
	argv[0]->c.obj.iv[2] = local[2];
	local[6]= argv[0]->c.obj.iv[2];
	goto IF53797;
IF53796:
	local[6]= NIL;
IF53797:
	if (local[3]==NIL) goto IF53809;
	argv[0]->c.obj.iv[3] = local[3];
	local[6]= argv[0]->c.obj.iv[3];
	goto IF53810;
IF53809:
	local[6]= NIL;
IF53810:
	if (local[4]==NIL) goto IF53822;
	argv[0]->c.obj.iv[4] = local[4];
	local[6]= argv[0]->c.obj.iv[4];
	goto IF53823;
IF53822:
	local[6]= NIL;
IF53823:
	if (local[5]==NIL) goto IF53835;
	argv[0]->c.obj.iv[5] = local[5];
	local[6]= argv[0]->c.obj.iv[5];
	goto IF53836;
IF53835:
	local[6]= NIL;
IF53836:
	w = argv[0];
	local[0]= w;
BLK53720:
	ctx->vsp=local; return(local[0]);}

/*pathnamep*/
static pointer F51235pathnamep(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[46]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
BLK53853:
	ctx->vsp=local; return(local[0]);}

/*pathname*/
static pointer F51238pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[46]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF53880;
	local[0]= argv[0];
	goto IF53881;
IF53880:
	if (argv[0]==NIL) goto IF53890;
	local[0]= loadglobal(fqv[46]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[47];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F51188string(ctx,1,local+3); /*string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	w = local[0];
	local[0]= w;
	goto IF53891;
IF53890:
	local[0]= loadglobal(fqv[46]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
IF53891:
IF53881:
	w = local[0];
	local[0]= w;
BLK53870:
	ctx->vsp=local; return(local[0]);}

/*namestring*/
static pointer F51241namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!issymbol(w)) goto CON53940;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51188string(ctx,1,local+0); /*string*/
	local[0]= w;
	goto CON53938;
CON53940:
	w = argv[0];
	if (!isstring(w)) goto CON53948;
	local[0]= argv[0];
	goto CON53938;
CON53948:
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51235pathnamep(ctx,1,local+0); /*pathnamep*/
	if (w==NIL) goto CON53954;
	local[0]= argv[0];
	local[1]= fqv[44];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	goto CON53938;
CON53954:
	local[0]= fqv[48];
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,2,local+0); /*error*/
	local[0]= w;
	goto CON53938;
CON53966:
	local[0]= NIL;
CON53938:
	w = local[0];
	local[0]= w;
BLK53928:
	ctx->vsp=local; return(local[0]);}

/*pathname-directory*/
static pointer F51244pathname_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[39]));
	local[0]= w;
BLK53975:
	ctx->vsp=local; return(local[0]);}

/*pathname-name*/
static pointer F51247pathname_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[40]));
	local[0]= w;
BLK53992:
	ctx->vsp=local; return(local[0]);}

/*pathname-type*/
static pointer F51250pathname_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[41]));
	local[0]= w;
BLK54009:
	ctx->vsp=local; return(local[0]);}

/*directory-namestring*/
static pointer F51253directory_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	local[0]= w;
	local[1]= fqv[35];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK54026:
	ctx->vsp=local; return(local[0]);}

/*make-pathname*/
static pointer F51256make_pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[49], &argv[0], n-0, local+0, 0);
	if (n & (1<<0)) goto KEY54058;
	local[0] = NIL;
KEY54058:
	if (n & (1<<1)) goto KEY54063;
	local[1] = NIL;
KEY54063:
	if (n & (1<<2)) goto KEY54068;
	local[2] = NIL;
KEY54068:
	if (n & (1<<3)) goto KEY54073;
	local[3] = NIL;
KEY54073:
	if (n & (1<<4)) goto KEY54078;
	local[4] = NIL;
KEY54078:
	if (n & (1<<5)) goto KEY54083;
	local[5] = NIL;
KEY54083:
	if (n & (1<<6)) goto KEY54088;
	local[6] = NIL;
KEY54088:
	local[7]= loadglobal(fqv[46]);
	ctx->vsp=local+8;
	w=(pointer)INSTANTIATE(ctx,1,local+7); /*instantiate*/
	local[7]= w;
	local[8]= local[7];
	local[9]= fqv[50];
	local[10]= fqv[51];
	local[11]= local[0];
	local[12]= fqv[52];
	local[13]= local[1];
	local[14]= fqv[53];
	local[15]= local[2];
	local[16]= fqv[54];
	local[17]= local[3];
	local[18]= fqv[55];
	local[19]= local[4];
	local[20]= fqv[56];
	local[21]= local[5];
	ctx->vsp=local+22;
	w=(pointer)SEND(ctx,14,local+8); /*send*/
	w = local[7];
	local[7]= w;
	local[8]= fqv[57];
	local[9]= local[6];
	ctx->vsp=local+10;
	w=(pointer)F51238pathname(ctx,1,local+9); /*pathname*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	local[0]= w;
BLK54045:
	ctx->vsp=local; return(local[0]);}

/*parse-namestring*/
static pointer F51259parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	local[0]= w;
BLK54148:
	ctx->vsp=local; return(local[0]);}

/*null-string-p*/
static pointer F51263null_string_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= fqv[58];
	ctx->vsp=local+2;
	w=(pointer)EQUAL(ctx,2,local+0); /*equal*/
	local[0]= w;
BLK54165:
	ctx->vsp=local; return(local[0]);}

/*merge-pathnames*/
static pointer F51266merge_pathnames(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT54183;}
	local[0]= loadglobal(fqv[59]);
ENT54183:
ENT54182:
	if (n>2) maerror();
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F51235pathnamep(ctx,1,local+1); /*pathnamep*/
	if (w==NIL) goto IF54201;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)COPYOBJ(ctx,1,local+1); /*copy-object*/
	local[1]= w;
	goto IF54202;
IF54201:
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F51238pathname(ctx,1,local+1); /*pathname*/
	local[1]= w;
IF54202:
	argv[0] = local[1];
	local[1]= argv[0];
	local[2]= fqv[57];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)F51238pathname(ctx,1,local+3); /*pathname*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[0]= w;
BLK54180:
	ctx->vsp=local; return(local[0]);}

/*concatenate-pathnames*/
static pointer F51269concatenate_pathnames(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST54230:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= (pointer)get_sym_func(fqv[34]);
	local[2]= loadglobal(fqv[8]);
	local[3]= (pointer)get_sym_func(fqv[60]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)MAPCAR(ctx,2,local+3); /*mapcar*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,3,local+1); /*apply*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)F51238pathname(ctx,1,local+1); /*pathname*/
	local[0]= w;
BLK54228:
	ctx->vsp=local; return(local[0]);}

/*truename*/
static pointer F51272truename(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51238pathname(ctx,1,local+0); /*pathname*/
	argv[0] = w;
	ctx->vsp=local+0;
	w=(pointer)GETWD(ctx,0,local+0); /*unix:getwd*/
	local[0]= w;
	local[1]= argv[0];
	local[2]= fqv[35];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	local[2]= T;
	if (local[1]==NIL) goto IF54292;
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)CHDIR(ctx,1,local+3); /*unix:chdir*/
	local[2] = w;
	local[3]= local[2];
	goto IF54293;
IF54292:
	local[3]= NIL;
IF54293:
	local[3]= local[2];
	if (T!=local[3]) goto CON54309;
	ctx->vsp=local+3;
	w=(pointer)GETWD(ctx,0,local+3); /*unix:getwd*/
	local[2] = w;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	w = makeint(1);
	if ((eusinteger_t)local[3] <= (eusinteger_t)w) goto IF54323;
	local[3]= loadglobal(fqv[8]);
	local[4]= local[2];
	local[5]= fqv[61];
	ctx->vsp=local+6;
	w=(pointer)CONCATENATE(ctx,3,local+3); /*concatenate*/
	local[2] = w;
	local[3]= local[2];
	goto IF54324;
IF54323:
	local[3]= NIL;
IF54324:
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)CHDIR(ctx,1,local+3); /*unix:chdir*/
	local[3]= fqv[54];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)F51247pathname_name(ctx,1,local+4); /*pathname-name*/
	local[4]= w;
	local[5]= fqv[55];
	local[6]= argv[0];
	ctx->vsp=local+7;
	w=(pointer)F51250pathname_type(ctx,1,local+6); /*pathname-type*/
	local[6]= w;
	local[7]= fqv[53];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)F51244pathname_directory(ctx,1,local+8); /*pathname-directory*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)F51256make_pathname(ctx,6,local+3); /*make-pathname*/
	local[3]= w;
	goto CON54307;
CON54309:
	local[3]= fqv[62];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
	goto CON54307;
CON54361:
	local[3]= NIL;
CON54307:
	w = local[3];
	local[0]= w;
BLK54254:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M54410url_pathname_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[2];
	local[1]= fqv[63];
	local[2]= argv[1];
	local[3]= fqv[54];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)ADDRESS(ctx,1,local+3); /*system:address*/
	local[3]= w;
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)XFORMAT(ctx,5,local+0); /*format*/
	local[0]= w;
BLK54411:
	ctx->vsp=local; return(local[0]);}

/*:string*/
static pointer M54442url_pathname_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= fqv[65];
	local[2]= argv[0]->c.obj.iv[6];
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= argv[0]->c.obj.iv[8];
	local[5]= argv[0];
	ctx->vsp=local+6;
	w=(pointer)F51241namestring(ctx,1,local+5); /*namestring*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)XFORMAT(ctx,6,local+0); /*format*/
	local[0]= w;
BLK54443:
	ctx->vsp=local; return(local[0]);}

/*:string2*/
static pointer M54464url_pathname_string2(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= fqv[66];
	local[2]= argv[0]->c.obj.iv[6];
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)F51241namestring(ctx,1,local+4); /*namestring*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)XFORMAT(ctx,5,local+0); /*format*/
	local[0]= w;
BLK54465:
	ctx->vsp=local; return(local[0]);}

/*:port*/
static pointer M54485url_pathname_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54489;}
	local[0]= NIL;
ENT54489:
ENT54488:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54505;
	argv[0]->c.obj.iv[8] = local[0];
	local[1]= argv[0]->c.obj.iv[8];
	goto IF54506;
IF54505:
	local[1]= NIL;
IF54506:
	w = argv[0]->c.obj.iv[8];
	local[0]= w;
BLK54486:
	ctx->vsp=local; return(local[0]);}

/*:server*/
static pointer M54521url_pathname_server(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54525;}
	local[0]= NIL;
ENT54525:
ENT54524:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54541;
	argv[0]->c.obj.iv[7] = local[0];
	local[1]= argv[0]->c.obj.iv[7];
	goto IF54542;
IF54541:
	local[1]= NIL;
IF54542:
	w = argv[0]->c.obj.iv[7];
	local[0]= w;
BLK54522:
	ctx->vsp=local; return(local[0]);}

/*:connect*/
static pointer M54557url_pathname_connect(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54561;}
	local[0]= makeint(5);
ENT54561:
ENT54560:
	if (n>3) maerror();
	local[1]= argv[0]->c.obj.iv[7];
	local[2]= argv[0]->c.obj.iv[8];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(*ftab[7])(ctx,3,local+1,&ftab[7],fqv[67]); /*connect-server*/
	local[0]= w;
BLK54558:
	ctx->vsp=local; return(local[0]);}

/*:host*/
static pointer M54584url_pathname_host(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54588;}
	local[0]= NIL;
ENT54588:
ENT54587:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54604;
	argv[0]->c.obj.iv[7] = local[0];
	local[1]= argv[0]->c.obj.iv[7];
	goto IF54605;
IF54604:
	local[1]= NIL;
IF54605:
	w = argv[0]->c.obj.iv[7];
	local[0]= w;
BLK54585:
	ctx->vsp=local; return(local[0]);}

/*:protocol*/
static pointer M54620url_pathname_protocol(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54624;}
	local[0]= NIL;
ENT54624:
ENT54623:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54640;
	argv[0]->c.obj.iv[6] = local[0];
	local[1]= argv[0]->c.obj.iv[6];
	goto IF54641;
IF54640:
	local[1]= NIL;
IF54641:
	w = argv[0]->c.obj.iv[6];
	local[0]= w;
BLK54621:
	ctx->vsp=local; return(local[0]);}

/*:parse-namestring*/
static pointer M54656url_pathname_parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeint(0);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= makeint(58);
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(*ftab[2])(ctx,2,local+3,&ftab[2],fqv[9]); /*position*/
	local[0] = w;
	if (local[0]==NIL) goto IF54687;
	local[3]= argv[2];
	local[4]= makeint(0);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[6] = w;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	local[3]= local[0];
	goto IF54688;
IF54687:
	argv[0]->c.obj.iv[6] = fqv[68];
	local[0] = makeint(0);
	local[3]= local[0];
IF54688:
	local[3]= argv[2];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	local[4]= makeint(47);
	ctx->vsp=local+5;
	w=(pointer)EQ(ctx,2,local+3); /*eql*/
	if (w==NIL) goto CON54725;
	local[3]= argv[2];
	local[4]= (pointer)((eusinteger_t)(local[0])+4);
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	local[4]= makeint(47);
	ctx->vsp=local+5;
	w=(pointer)EQ(ctx,2,local+3); /*eql*/
	if (w==NIL) goto CON54725;
	local[3]= makeint(47);
	local[4]= argv[2];
	local[5]= fqv[15];
	local[6]= makeint(3);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)PLUS(ctx,2,local+6); /*+*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(*ftab[2])(ctx,4,local+3,&ftab[2],fqv[9]); /*position*/
	local[2] = w;
	if (local[2]!=NIL) goto IF54766;
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[2] = w;
	local[3]= local[2];
	goto IF54767;
IF54766:
	local[3]= NIL;
IF54767:
	local[3]= argv[2];
	local[4]= makeint(2);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)PLUS(ctx,2,local+4); /*+*/
	local[4]= w;
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[7] = w;
	local[3]= makeint(58);
	local[4]= argv[0]->c.obj.iv[7];
	ctx->vsp=local+5;
	w=(*ftab[2])(ctx,2,local+3,&ftab[2],fqv[9]); /*position*/
	local[1] = w;
	if (local[1]==NIL) goto IF54800;
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= (pointer)((eusinteger_t)(local[1])+4);
	ctx->vsp=local+5;
	w=(pointer)SUBSEQ(ctx,2,local+3); /*subseq*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[8])(ctx,1,local+3,&ftab[8],fqv[69]); /*read-from-string*/
	argv[0]->c.obj.iv[8] = w;
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= makeint(0);
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[7] = w;
	local[3]= argv[0]->c.obj.iv[7];
	goto IF54801;
IF54800:
	argv[0]->c.obj.iv[8] = makeint(80);
	local[3]= argv[0]->c.obj.iv[8];
IF54801:
	local[3]= argv[0];
	local[4]= *(ovafptr(argv[1],fqv[70]));
	local[5]= fqv[47];
	local[6]= argv[2];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)SENDMESSAGE(ctx,4,local+3); /*send-message*/
	local[3]= fqv[71];
	w=argv[0]->c.obj.iv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.cdr;
	ctx->vsp=local+5;
	w=(pointer)APPEND(ctx,2,local+3); /*append*/
	argv[0]->c.obj.iv[2] = w;
	local[3]= argv[0];
	goto CON54723;
CON54725:
	local[3]= fqv[72];
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,2,local+3); /*error*/
	local[3]= w;
	goto CON54723;
CON54868:
	local[3]= NIL;
CON54723:
	w = local[3];
	local[0]= w;
BLK54657:
	ctx->vsp=local; return(local[0]);}

/*:percent-escape*/
static pointer M54877url_pathname_percent_escape(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[73], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY54890;
	local[0] = T;
KEY54890:
	if (n & (1<<1)) goto KEY54895;
	local[1] = NIL;
KEY54895:
	local[2]= argv[0];
	local[3]= fqv[47];
	if (local[1]==NIL) goto IF54908;
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51301unescaped_url_string_from_namestring(ctx,2,local+4); /*unescaped-url-string-from-namestring*/
	local[4]= w;
	goto IF54909;
IF54908:
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51297escaped_url_string_from_namestring(ctx,2,local+4); /*escaped-url-string-from-namestring*/
	local[4]= w;
IF54909:
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	local[0]= w;
BLK54878:
	ctx->vsp=local; return(local[0]);}

/*url-pathname*/
static pointer F51291url_pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[74]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF54943;
	local[0]= argv[0];
	goto IF54944;
IF54943:
	if (argv[0]==NIL) goto IF54954;
	local[0]= loadglobal(fqv[74]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[47];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F51188string(ctx,1,local+3); /*string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	w = local[0];
	local[0]= w;
	goto IF54955;
IF54954:
	local[0]= loadglobal(fqv[74]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
IF54955:
IF54944:
	w = local[0];
	local[0]= w;
BLK54933:
	ctx->vsp=local; return(local[0]);}

/*parse-url*/
static pointer F51293parse_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= fqv[75];
	local[1]= NIL;
	local[2]= NIL;
	local[3]= makeint(80);
	local[4]= makeint(0);
	local[5]= NIL;
	local[6]= makeint(58);
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,2,local+6,&ftab[2],fqv[9]); /*position*/
	local[4] = w;
	if (local[4]==NIL) goto IF55026;
	local[6]= argv[0];
	local[7]= makeint(0);
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[0] = w;
	local[4] = (pointer)((eusinteger_t)(local[4])+4);
	local[6]= local[4];
	goto IF55027;
IF55026:
	local[4] = makeint(0);
	local[6]= local[4];
IF55027:
	local[6]= argv[0];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(47);
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w==NIL) goto CON55062;
	local[6]= argv[0];
	local[7]= (pointer)((eusinteger_t)(local[4])+4);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(47);
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w==NIL) goto CON55062;
	local[6]= argv[0];
	local[7]= makeint(2);
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)PLUS(ctx,2,local+7); /*+*/
	local[7]= w;
	local[8]= makeint(47);
	local[9]= argv[0];
	local[10]= fqv[15];
	local[11]= makeint(3);
	local[12]= local[4];
	ctx->vsp=local+13;
	w=(pointer)PLUS(ctx,2,local+11); /*+*/
	local[11]= w;
	ctx->vsp=local+12;
	w=(*ftab[2])(ctx,4,local+8,&ftab[2],fqv[9]); /*position*/
	local[4] = w;
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[1] = w;
	local[6]= makeint(58);
	local[7]= local[1];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,2,local+6,&ftab[2],fqv[9]); /*position*/
	local[5] = w;
	if (local[5]==NIL) goto IF55116;
	local[6]= local[1];
	local[7]= (pointer)((eusinteger_t)(local[5])+4);
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(*ftab[8])(ctx,1,local+6,&ftab[8],fqv[69]); /*read-from-string*/
	local[3] = w;
	local[6]= local[1];
	local[7]= makeint(0);
	local[8]= local[5];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[1] = w;
	local[6]= local[1];
	goto IF55117;
IF55116:
	local[3] = makeint(80);
	local[6]= local[3];
IF55117:
	local[6]= argv[0];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)F51238pathname(ctx,1,local+6); /*pathname*/
	local[2] = w;
	local[6]= local[2];
	local[7]= fqv[53];
	local[8]= fqv[76];
	local[9]= local[2];
	local[10]= fqv[53];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.cdr;
	ctx->vsp=local+10;
	w=(pointer)APPEND(ctx,2,local+8); /*append*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)SEND(ctx,3,local+6); /*send*/
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[3];
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,4,local+6); /*list*/
	local[6]= w;
	goto CON55060;
CON55062:
	local[6]= fqv[77];
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(pointer)SIGERROR(ctx,2,local+6); /*error*/
	local[6]= w;
	goto CON55060;
CON55191:
	local[6]= NIL;
CON55060:
	w = local[6];
	local[0]= w;
BLK54991:
	ctx->vsp=local; return(local[0]);}

/*escape-url*/
static pointer F51295escape_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55206;}
	local[0]= loadglobal(fqv[78]);
ENT55206:
	if (n>=3) { local[1]=(argv[2]); goto ENT55205;}
	local[1]= T;
ENT55205:
ENT55204:
	if (n>3) maerror();
	ctx->vsp=local+2;
	local[2]= makeclosure(codevec,quotevec,FLET55228,env,argv,local);
	ctx->vsp=local+3;
	local[3]= makeclosure(codevec,quotevec,FLET55230,env,argv,local);
	local[4]= NIL;
	local[5]= argv[0];
	local[6]= loadglobal(fqv[79]);
	ctx->vsp=local+7;
	w=(pointer)COERCE(ctx,2,local+5); /*coerce*/
	local[5]= w;
WHL55255:
	if (local[5]==NIL) goto WHX55256;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.cdr;
	w = local[6];
	local[4] = w;
	local[6]= local[4];
	w = local[2];
	ctx->vsp=local+7;
	w=FLET55228(ctx,1,local+6,w);
	if (w==NIL) goto CON55306;
	local[6]= local[4];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55304;
CON55306:
	local[6]= local[4];
	local[7]= makeint(13);
	ctx->vsp=local+8;
	w=(*ftab[9])(ctx,2,local+6,&ftab[9],fqv[80]); /*char=*/
	if (w==NIL) goto CON55319;
	local[6]= makeint(10);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55304;
CON55319:
	if (local[1]==NIL) goto CON55330;
	local[6]= local[4];
	local[7]= makeint(32);
	ctx->vsp=local+8;
	w=(*ftab[9])(ctx,2,local+6,&ftab[9],fqv[80]); /*char=*/
	if (w==NIL) goto CON55330;
	local[6]= makeint(43);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55304;
CON55330:
	local[6]= local[0];
	local[7]= fqv[81];
	local[8]= NIL;
	local[9]= fqv[82];
	local[10]= local[4];
	ctx->vsp=local+11;
	w=(pointer)XFORMAT(ctx,3,local+8); /*format*/
	local[8]= w;
	local[9]= makeint(2);
	w = local[3];
	ctx->vsp=local+10;
	w=FLET55230(ctx,2,local+8,w);
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)XFORMAT(ctx,3,local+6); /*format*/
	local[6]= w;
	goto CON55304;
CON55344:
	local[6]= NIL;
CON55304:
	goto WHL55255;
WHX55256:
	local[6]= NIL;
BLK55257:
	w = NIL;
	local[0]= w;
BLK55202:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET55228(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= makeint(65);
	local[1]= argv[0];
	local[2]= makeint(90);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55372;
	local[0]= makeint(97);
	local[1]= argv[0];
	local[2]= makeint(122);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55372;
	local[0]= makeint(48);
	local[1]= argv[0];
	local[2]= makeint(57);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55372;
	local[0]= argv[0];
	local[1]= loadglobal(fqv[83]);
	local[2]= fqv[2];
	local[3]= (pointer)get_sym_func(fqv[80]);
	ctx->vsp=local+4;
	w=(*ftab[10])(ctx,4,local+0,&ftab[10],fqv[84]); /*find*/
	local[0]= w;
OR55372:
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET55230(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	ctx->vsp=local+0;
	w=(*ftab[11])(ctx,0,local+0,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[0]= w;
	local[1]= makeint(0);
	local[2]= argv[1];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)MINUS(ctx,2,local+2); /*-*/
	local[2]= w;
WHL55456:
	local[3]= local[1];
	w = local[2];
	if ((eusinteger_t)local[3] >= (eusinteger_t)w) goto WHX55457;
	local[3]= makeint(48);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)WRTBYTE(ctx,2,local+3); /*write-byte*/
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	goto WHL55456;
WHX55457:
	local[3]= NIL;
BLK55458:
	w = NIL;
	local[1]= local[0];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)XFORMAT(ctx,2,local+1); /*format*/
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[12])(ctx,1,local+1,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[12])(ctx,1,local+1,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*escaped-url-string-from-namestring*/
static pointer F51297escaped_url_string_from_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55500;}
	local[0]= T;
ENT55500:
ENT55499:
	if (n>2) maerror();
	ctx->vsp=local+1;
	w=(*ftab[11])(ctx,0,local+1,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F51295escape_url(ctx,3,local+2); /*escape-url*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
BLK55497:
	ctx->vsp=local; return(local[0]);}

/*unescape-url*/
static pointer F51299unescape_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55546;}
	local[0]= loadglobal(fqv[78]);
ENT55546:
	if (n>=3) { local[1]=(argv[2]); goto ENT55545;}
	local[1]= T;
ENT55545:
ENT55544:
	if (n>3) maerror();
	local[2]= argv[0];
	local[3]= fqv[15];
	local[4]= fqv[87];
	ctx->vsp=local+5;
	w=(*ftab[13])(ctx,2,local+3,&ftab[13],fqv[88]); /*member*/
	if (w==NIL) goto IF55575;
	local[3]= fqv[15];
	local[4]= fqv[89];
	ctx->vsp=local+5;
	w=(*ftab[13])(ctx,2,local+3,&ftab[13],fqv[88]); /*member*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	goto IF55576;
IF55575:
	local[3]= NIL;
IF55576:
	local[4]= fqv[16];
	local[5]= fqv[90];
	ctx->vsp=local+6;
	w=(*ftab[13])(ctx,2,local+4,&ftab[13],fqv[88]); /*member*/
	if (w==NIL) goto IF55599;
	local[4]= fqv[16];
	local[5]= fqv[91];
	ctx->vsp=local+6;
	w=(*ftab[13])(ctx,2,local+4,&ftab[13],fqv[88]); /*member*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	goto IF55600;
IF55599:
	local[4]= NIL;
IF55600:
	ctx->vsp=local+5;
	w=(*ftab[14])(ctx,3,local+2,&ftab[14],fqv[92]); /*make-string-input-stream*/
	local[2]= w;
WHL55627:
	local[3]= local[2];
	local[4]= NIL;
	ctx->vsp=local+5;
	w=(pointer)PEEKCH(ctx,2,local+3); /*peek-char*/
	if (w==NIL) goto WHX55628;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(pointer)PEEKCH(ctx,1,local+3); /*peek-char*/
	local[3]= w;
	local[4]= local[3];
	if (fqv[93]!=local[4]) goto IF55652;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= makeint(35);
	local[5]= makeint(120);
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)READCH(ctx,1,local+6); /*read-char*/
	local[6]= w;
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)READCH(ctx,1,local+7); /*read-char*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,4,local+4); /*list*/
	local[4]= w;
	local[5]= loadglobal(fqv[8]);
	ctx->vsp=local+6;
	w=(pointer)COERCE(ctx,2,local+4); /*coerce*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(*ftab[8])(ctx,1,local+4,&ftab[8],fqv[69]); /*read-from-string*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55653;
IF55652:
	local[4]= local[3];
	if (fqv[94]!=local[4]) goto IF55683;
	if (local[1]==NIL) goto IF55691;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= makeint(32);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55692;
IF55691:
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
IF55692:
	goto IF55684;
IF55683:
	if (T==NIL) goto IF55713;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55714;
IF55713:
	local[4]= NIL;
IF55714:
IF55684:
IF55653:
	w = local[4];
	goto WHL55627;
WHX55628:
	local[3]= NIL;
BLK55629:
	w = local[3];
	local[0]= w;
BLK55542:
	ctx->vsp=local; return(local[0]);}

/*unescaped-url-string-from-namestring*/
static pointer F51301unescaped_url_string_from_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55730;}
	local[0]= T;
ENT55730:
ENT55729:
	if (n>2) maerror();
	ctx->vsp=local+1;
	w=(*ftab[11])(ctx,0,local+1,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F51299unescape_url(ctx,3,local+2); /*unescape-url*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
BLK55727:
	ctx->vsp=local; return(local[0]);}

/*digits-string*/
static pointer F51303digits_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55775;}
	local[0]= makeint(10);
ENT55775:
ENT55774:
	if (n>3) maerror();
	local[1]= argv[1];
	local[2]= makeint(1);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,2,local+1); /*<=*/
	if (w==NIL) goto IF55791;
	local[1]= NIL;
	local[2]= fqv[95];
	local[3]= argv[0];
	local[4]= argv[0];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)QUOTIENT(ctx,2,local+4); /*/*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)TIMES(ctx,2,local+4); /***/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)MINUS(ctx,2,local+3); /*-*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)XFORMAT(ctx,3,local+1); /*format*/
	local[1]= w;
	goto IF55792;
IF55791:
	local[1]= loadglobal(fqv[8]);
	local[2]= argv[0];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)QUOTIENT(ctx,2,local+2); /*/*/
	local[2]= w;
	local[3]= (pointer)((eusinteger_t)(argv[1])-4);
	ctx->vsp=local+4;
	w=(pointer)F51303digits_string(ctx,2,local+2); /*digits-string*/
	local[2]= w;
	local[3]= argv[0];
	local[4]= makeint(1);
	ctx->vsp=local+5;
	w=(pointer)F51303digits_string(ctx,2,local+3); /*digits-string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)CONCATENATE(ctx,3,local+1); /*concatenate*/
	local[1]= w;
IF55792:
	w = local[1];
	local[0]= w;
BLK55772:
	ctx->vsp=local; return(local[0]);}

/*timed-file-name*/
static pointer F51305timed_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55833;}
	ctx->vsp=local+0;
	w=(pointer)LOCALTIME(ctx,0,local+0); /*unix:localtime*/
	local[0]= w;
ENT55833:
ENT55832:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= fqv[96];
	local[3]= argv[0];
	local[4]= local[0];
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)F51303digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= local[0];
	local[6]= makeint(1);
	ctx->vsp=local+7;
	w=(pointer)AREF(ctx,2,local+5); /*aref*/
	local[5]= w;
	local[6]= makeint(2);
	ctx->vsp=local+7;
	w=(pointer)F51303digits_string(ctx,2,local+5); /*digits-string*/
	local[5]= w;
	local[6]= local[0];
	local[7]= makeint(0);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(2);
	ctx->vsp=local+8;
	w=(pointer)F51303digits_string(ctx,2,local+6); /*digits-string*/
	local[6]= w;
	local[7]= argv[1];
	ctx->vsp=local+8;
	w=(pointer)XFORMAT(ctx,7,local+1); /*format*/
	local[0]= w;
BLK55830:
	ctx->vsp=local; return(local[0]);}

/*dated-file-name*/
static pointer F51307dated_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55874;}
	ctx->vsp=local+0;
	w=(pointer)LOCALTIME(ctx,0,local+0); /*unix:localtime*/
	local[0]= w;
ENT55874:
ENT55873:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= fqv[97];
	local[3]= argv[0];
	local[4]= local[0];
	local[5]= makeint(5);
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)F51303digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= local[0];
	local[6]= makeint(4);
	ctx->vsp=local+7;
	w=(pointer)AREF(ctx,2,local+5); /*aref*/
	local[5]= w;
	local[6]= fqv[98];
	ctx->vsp=local+7;
	w=(*ftab[0])(ctx,2,local+5,&ftab[0],fqv[4]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	local[6]= local[0];
	local[7]= makeint(3);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(2);
	ctx->vsp=local+8;
	w=(pointer)F51303digits_string(ctx,2,local+6); /*digits-string*/
	local[6]= w;
	local[7]= argv[1];
	ctx->vsp=local+8;
	w=(pointer)XFORMAT(ctx,7,local+1); /*format*/
	local[0]= w;
BLK55871:
	ctx->vsp=local; return(local[0]);}

/*sequential-file-name*/
static pointer F51309sequential_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT55923;}
	local[0]= makeint(4);
ENT55923:
ENT55922:
	if (n>4) maerror();
	local[1]= NIL;
	local[2]= fqv[99];
	local[3]= argv[0];
	local[4]= argv[1];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51303digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= argv[2];
	ctx->vsp=local+6;
	w=(pointer)XFORMAT(ctx,5,local+1); /*format*/
	local[0]= w;
BLK55920:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___string(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[100];
	ctx->vsp=local+1;
	w=(pointer)LIST(ctx,1,local+0); /*list*/
	local[0]= fqv[101];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF55958;
	local[0]= fqv[102];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[103],w);
	goto IF55959;
IF55958:
	local[0]= fqv[104];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF55959:
	local[0]= fqv[105];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[106],module,F51181read_sharp_backslash,fqv[107]);
	local[0]= makeint(35);
	local[1]= makeint(92);
	local[2]= fqv[106];
	ctx->vsp=local+3;
	w=(pointer)SETDISPMACRO(ctx,3,local+0); /*set-dispatch-macro-character*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[108],module,F51185true_string,fqv[109]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[8],module,F51188string,fqv[110]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[111],module,F51191make_string,fqv[112]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[113],module,F51194string_left_trim,fqv[114]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[115],module,F51197string_right_trim,fqv[116]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[117],module,F51200string_trim,fqv[118]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[119],module,F51203nstring_downcase,fqv[120]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[121],module,F51206nstring_upcase,fqv[122]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[123],module,F51209string_upcase,fqv[124]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[125],module,F51212string_downcase,fqv[126]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[127],module,F51215string_,fqv[128]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[3],module,F51218string_equal,fqv[129]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[130],module,F51221substringp,fqv[131]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52257string_get,fqv[132],fqv[8],fqv[133]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52280string_set,fqv[134],fqv[8],fqv[135]);
	local[0]= fqv[46];
	local[1]= fqv[136];
	local[2]= fqv[46];
	local[3]= fqv[137];
	local[4]= loadglobal(fqv[138]);
	local[5]= fqv[139];
	local[6]= fqv[140];
	local[7]= fqv[141];
	local[8]= NIL;
	local[9]= fqv[142];
	local[10]= NIL;
	local[11]= fqv[143];
	local[12]= makeint(-1);
	local[13]= fqv[144];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[15])(ctx,13,local+2,&ftab[15],fqv[145]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[146];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[147],module,F51231explode_directory_names,fqv[148]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52656pathname_parse_namestring,fqv[47],fqv[46],fqv[149]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53067pathname_directory_string,fqv[35],fqv[46],fqv[150]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53267pathname_namestring,fqv[44],fqv[46],fqv[151]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53331pathname_host,fqv[51],fqv[46],fqv[152]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53365pathname_device,fqv[52],fqv[46],fqv[153]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53399pathname_directory,fqv[53],fqv[46],fqv[154]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53433pathname_name,fqv[54],fqv[46],fqv[155]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53467pathname_type,fqv[55],fqv[46],fqv[156]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53501pathname_set_type,fqv[157],fqv[46],fqv[158]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53524pathname_version,fqv[56],fqv[46],fqv[159]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53558pathname_merge,fqv[57],fqv[46],fqv[160]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53660pathname_add_directory,fqv[161],fqv[46],fqv[162]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53690pathname_prin1,fqv[163],fqv[46],fqv[164]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53719pathname_init,fqv[50],fqv[46],fqv[165]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[166],module,F51235pathnamep,fqv[167]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[46],module,F51238pathname,fqv[168]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[60],module,F51241namestring,fqv[169]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[170],module,F51244pathname_directory,fqv[171]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[172],module,F51247pathname_name,fqv[173]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[174],module,F51250pathname_type,fqv[175]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[176],module,F51253directory_namestring,fqv[177]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[178],module,F51256make_pathname,fqv[179]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[180],module,F51259parse_namestring,fqv[181]);
	local[0]= fqv[59];
	local[1]= fqv[136];
	local[2]= fqv[182];
	local[3]= fqv[183];
	local[4]= fqv[184];
	local[5]= fqv[185];
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[186],module,F51263null_string_p,fqv[187]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[188],module,F51266merge_pathnames,fqv[189]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[190],module,F51269concatenate_pathnames,fqv[191]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[192],module,F51272truename,fqv[193]);
	local[0]= fqv[74];
	local[1]= fqv[136];
	local[2]= fqv[74];
	local[3]= fqv[137];
	local[4]= loadglobal(fqv[46]);
	local[5]= fqv[139];
	local[6]= fqv[194];
	local[7]= fqv[141];
	local[8]= NIL;
	local[9]= fqv[142];
	local[10]= NIL;
	local[11]= fqv[143];
	local[12]= makeint(-1);
	local[13]= fqv[144];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[15])(ctx,13,local+2,&ftab[15],fqv[145]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54410url_pathname_prin1,fqv[163],fqv[74],fqv[195]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54442url_pathname_string,fqv[64],fqv[74],fqv[196]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54464url_pathname_string2,fqv[197],fqv[74],fqv[198]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54485url_pathname_port,fqv[199],fqv[74],fqv[200]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54521url_pathname_server,fqv[201],fqv[74],fqv[202]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54557url_pathname_connect,fqv[203],fqv[74],fqv[204]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54584url_pathname_host,fqv[51],fqv[74],fqv[205]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54620url_pathname_protocol,fqv[206],fqv[74],fqv[207]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54656url_pathname_parse_namestring,fqv[47],fqv[74],fqv[208]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54877url_pathname_percent_escape,fqv[209],fqv[74],fqv[210]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[74],module,F51291url_pathname,fqv[211]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[212],module,F51293parse_url,fqv[213]);
	local[0]= fqv[83];
	local[1]= fqv[214];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF56172;
	local[0]= fqv[83];
	local[1]= fqv[214];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[83];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF56195;
	local[0]= fqv[83];
	local[1]= fqv[136];
	local[2]= fqv[215];
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF56196;
IF56195:
	local[0]= NIL;
IF56196:
	local[0]= fqv[83];
	goto IF56173;
IF56172:
	local[0]= NIL;
IF56173:
	ctx->vsp=local+0;
	compfun(ctx,fqv[216],module,F51295escape_url,fqv[217]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[218],module,F51297escaped_url_string_from_namestring,fqv[219]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[220],module,F51299unescape_url,fqv[221]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[222],module,F51301unescaped_url_string_from_namestring,fqv[223]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[224],module,F51303digits_string,fqv[225]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[226],module,F51305timed_file_name,fqv[227]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[228],module,F51307dated_file_name,fqv[229]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[230],module,F51309sequential_file_name,fqv[231]);
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<16; i++) ftab[i]=fcallx;
}
